Subject: [urn] IANA considerations and interoperability

From: Melinda Shore <[email-masked]>
Date: Mon, 12 Jan 2015 18:44:55 -0900

This is regarding
http://www.ietf.org/mail-archive/web/urn/current/msg02680.html.

We haven't seen any feedback on John's question - do people feel
that more needs to be said or that it's fine as-is?

Thanks,

Melinda

---

From: "Martin J. Dürst" <[email-masked]>
Date: Tue, 13 Jan 2015 13:11:22 +0900

> that more needs to be said or that it's fine as-is?

I'd agree with what John said, which would mean that we need some more text.

Regards,   Martin.

---

From: "Svensson, Lars" <[email-masked]>
Date: Tue, 13 Jan 2015 08:15:41 +0000

> I'd agree with what John said, which would mean that we need some more text.

I agree with that, too.

Best,

Lars

---

From: Juha Hakala <[email-masked]>
Date: Tue, 13 Jan 2015 14:45:23 +0200

Hello,

Concerning this:

> Under IANA Considerations - URI Scheme, Section 10.1, the text
> says
>
> 	"Interoperability Considerations:  There are no known
> 	interoperability concerns related to use of the 'urn'
> 	URI scheme."
>
> IMO, this is not strictly true because the whole discussion of
> whether URNs can be (or should be, or are meaningful in) various
> contexts and/or in relative URI form is ultimately about
> interoperability considerations.  One could argue that almost
> everything else that RFC 3986 considers a per-scheme issue and
> that we have made per-NID for URNs falls into the same category.
>
> Should more be said in that line item and, if so, what?

I agree that what's written in the I-D at the moment is probably an 
oversimplification.

Instead of just saying that there are no known interoperability 
concerns, we could admit that some namespaces (but not all) may have 
them in the future, and add to the existing text something like this:

"If interoperability concerns arise during the registration of a URN 
namespace due to e.g. syntax or scope of an identifier system, they 
should be resolved in the namespace registration request."

Since we do not know either what kind of identifier systems will have 
URN namespaces in the future, or what kind of technical infrastructure 
they will rely on (in the distant future), there is no way to produce an 
exhaustive list of concerns in 2141bis. Rather than trying it is better 
to offload this responsibility to the registrants.

Juha

On 13.1.2015 10:15, Svensson, Lars wrote:
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn

-- 

  Juha Hakala
  Senior advisor

  The National Library of Finland
  Library Network Services
  P.O.Box 26 (Teollisuuskatu 23)
  FIN-00014 Helsinki University
  Tel. +358 9 191 44293
  Mobile +358 50 3827678